#include <MausEreignis.h>

#include "DragElement.h"

using namespace Framework;

DragElement::DragElement()
	: BildZ()
{
	setStyle(BildZ::Style::Sichtbar | BildZ::Style::Alpha | BildZ::Style::Skalliert | BildZ::Style::Erlaubt | BildZ::Style::MEIgnoreVerarbeitet | BildZ::Style::MEIgnoreInside | BildZ::Style::MEIgnoreParentInside);
	setSize(50, 50);
	setMausEreignis(_ret1ME);
}

void DragElement::doMausEreignis(Framework::MausEreignis& me, bool userRet)
{
	setPosition(pos.x + me.mx, pos.y + me.my);
}